{ config, pkgs, ... }:

{
  home-manager.users.yoda = { osConfig, config, pkgs, ... }: {

    # SSH client configuration.
    programs.ssh = {
      enable = true;
      userKnownHostsFile = "~/.ssh/known_hosts ${../assets/ssh/known_hosts}";
      matchBlocks = {
        "yodaTab" = {
          hostname = "192.168.178.33";
          user = "yoda";
          port = 22;
          compression = true;
        };

        "yodaYoga" = {
          hostname = "p1st.de";
          #hostname = "192.168.178.99";
          user = "yoda";
          port = 2224;
          compression = true;
        };
        "rootYodaYoga" = {
          hostname = "p1st.de";
          #hostname = "192.168.178.99";
          user = "root";
          port = 2224;
          compression = true;
        };
        "unlockYodaYoga" = {
          hostname = "p1st.de";
          #hostname = "192.168.178.99";
          user = "root";
          port = 2225;
          compression = true;
        };

        "pi3bplus" = {
          hostname = "fckjpbxxim36c1gb.myfritz.net";
          user = "yoda";
          port = 22;
          compression = true;
        };
        "rootPi3bplus" = {
          hostname = "fckjpbxxim36c1gb.myfritz.net";
          user = "root";
          port = 22;
          compression = true;
        };

        "ejNas" = {
          hostname = "cloud.ej-altdorf.de";
          #hostname = "ej-altdorf.spdns.de";
          user = "yoda";
          port = 22;
          compression = true;
        };
        "rootEjNas" = {
          hostname = "cloud.ej-altdorf.de";
          #hostname = "ej-altdorf.spdns.de";
          user = "root";
          port = 22;
          compression = true;
        };

        "nas" = {
          hostname = "p1st.de";
          user = "yoda";
          port = 2222;
          compression = true;
        };
        "rootNas" = {
          hostname = "p1st.de";
          user = "root";
          port = 2222;
          compression = true;
        };
      };
    };

  };
}
